can't install html-agility-pack when install Newtonsoft.Json

html-agility-pack json json.net

Question

I want to know why i can't install your pakage with Newtonsoft.Json and get this error :

Severity    Code    Description Project File    Line    Suppression State
Error       An error occurred while retrieving package metadata for 'Newtonsoft.Json.10.0.3' from source 'C:\Users\......\packages'.            0   

I try to use from both of them in .net 4 And i try to install them from nuget package

anyway for install i can use from ignore dependence option in package manager > install and update option > dependence behavior but sometimes when app is running and i got error...

any solution ?

2017-08-20_20h42_24

Popular Answer

Delete Newtonsoft.Json.10.0.3 folder from c:\....\packages and remove it's line from packages.config then delete from project reference again install lower version.



Licensed under: CC-BY-SA with attribution
Not affiliated with Stack Overflow
Is this KB legal? Yes, learn why
Licensed under: CC-BY-SA with attribution
Not affiliated with Stack Overflow
Is this KB legal? Yes, learn why